Page MenuHomePhabricator

FlaggedRevs uses hard deprecated ArticleEditUpdates hook
Closed, ResolvedPublic

Description

FlaggedRevsHooks::onArticleEditUpdates still exists

Should be replace with RevisionDataUpdates

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptFeb 13 2020, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 571392 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/FlaggedRevs@master] Replace use of ArticleEditUpdates hook with RevisionDataUpdates

https://gerrit.wikimedia.org/r/571392

Jdforrester-WMF triaged this task as Low priority.Feb 14 2020, 8:19 PM

Change 571392 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Replace use of ArticleEditUpdates hook with RevisionDataUpdates

https://gerrit.wikimedia.org/r/571392

DannyS712 closed this task as Resolved.Feb 16 2020, 3:12 AM
DannyS712 removed a project: Patch-For-Review.

Change 522377 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/extensions/FlaggedRevs@master] Move to "RevisionDataUpdates" hook instead of "ArticleEditUpdates"

https://gerrit.wikimedia.org/r/522377

Change 522377 abandoned by Krinkle:
Move to "RevisionDataUpdates" hook instead of "ArticleEditUpdates"

Reason:
Superseded. There is some refactoring here though that could perhaps be submitted entirely, but depends, this repo isn't actively maintained so unless urgent there wouldn't be anyone to review/test it.

https://gerrit.wikimedia.org/r/522377